---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libfollowref001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x24C0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_refKindStr, symObjAddr: 0x10070, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0xAE4, offset: 0xAE4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x567E0, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0xB0B, offset: 0xB0B, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x58720, symBinAddr: 0xE1B0, symSize: 0x0 }
  - { offsetInCU: 0xB2D, offset: 0xB2D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x58B10, symBinAddr: 0xE5A0, symSize: 0x0 }
  - { offsetInCU: 0xB4F, offset: 0xB4F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x59AB0, symBinAddr: 0xF540, symSize: 0x0 }
  - { offsetInCU: 0xB64, offset: 0xB64, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x59AC0, symBinAddr: 0xF550, symSize: 0x0 }
  - { offsetInCU: 0xBFC, offset: 0xBFC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x563C0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC07, offset: 0xC07, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x563C4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC12, offset: 0xC12, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x563C8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC57, offset: 0xC57, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x56520, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xCD0, offset: 0xCD0, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x565D8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCEE, offset: 0xCEE, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x565DC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x565E0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xD20, offset: 0xD20, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x565E4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xD39, offset: 0xD39, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x565E8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9323, offset: 0x9323, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x565F0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x93AC, offset: 0x93AC, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x56600, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x93C5, offset: 0x93C5, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x56608, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93DE, offset: 0x93DE, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x56610, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93F7, offset: 0x93F7, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x56618, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9410, offset: 0x9410, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x56620, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x942A, offset: 0x942A, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x56628, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: _g_refKindStr, symObjAddr: 0x10070, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x9535, offset: 0x9535, size: 0x8, addend: 0x0, symName: __ZL12objectsCount, symObjAddr: 0x5666C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x954E, offset: 0x954E, size: 0x8, addend: 0x0, symName: __ZL14objectDescList, symObjAddr: 0x56670, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x95BD, offset: 0x95BD, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x56678, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x95D6, offset: 0x95D6, size: 0x8, addend: 0x0, symName: __ZL13userDataError, symObjAddr: 0x5667C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x95EF, offset: 0x95EF, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x56680, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9608, offset: 0x9608, size: 0x8, addend: 0x0, symName: __ZL11chainLength, symObjAddr: 0x56688, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9621, offset: 0x9621, size: 0x8, addend: 0x0, symName: __ZL13heapCallbacks, symObjAddr: 0x56690, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x968B, offset: 0x968B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1080, symSize: 0x80 }
  - { offsetInCU: 0x9720, offset: 0x9720, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xFD0, symSize: 0xB0 }
  - { offsetInCU: 0x977B, offset: 0x977B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xED0, symSize: 0x100 }
  - { offsetInCU: 0x9A0E, offset: 0x9A0E, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1100, symSize: 0xC0 }
  - { offsetInCU: 0x9A60, offset: 0x9A60, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x11C0, symSize: 0x220 }
  - { offsetInCU: 0x9C45, offset: 0x9C45, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x13E0, symSize: 0xA0 }
  - { offsetInCU: 0x9CF8, offset: 0x9CF8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1480, symSize: 0x110 }
  - { offsetInCU: 0x9DEE, offset: 0x9DEE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1590, symSize: 0x150 }
  - { offsetInCU: 0x9F4B, offset: 0x9F4B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x16E0, symSize: 0x30 }
  - { offsetInCU: 0x9FF4, offset: 0x9FF4, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1710, symSize: 0x150 }
  - { offsetInCU: 0xA1EC, offset: 0xA1EC, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1860, symSize: 0x160 }
  - { offsetInCU: 0xA4AC, offset: 0xA4AC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x19C0, symSize: 0x4A0 }
  - { offsetInCU: 0xA745, offset: 0xA745, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x1E60, symSize: 0xE0 }
  - { offsetInCU: 0xA805, offset: 0xA805, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1F40, symSize: 0x1B0 }
  - { offsetInCU: 0xAA20, offset: 0xAA20, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x20F0, symSize: 0xA0 }
  - { offsetInCU: 0xAB1B, offset: 0xAB1B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2190, symSize: 0x20 }
  - { offsetInCU: 0xAB52, offset: 0xAB52, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x21B0, symSize: 0x20 }
  - { offsetInCU: 0xAB89, offset: 0xAB89, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x21D0, symSize: 0x20 }
  - { offsetInCU: 0xACF8, offset: 0xACF8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x21F0, symSize: 0x1A0 }
  - { offsetInCU: 0xB014, offset: 0xB014, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2390, symSize: 0x130 }
  - { offsetInCU: 0xB1C4, offset: 0xB1C4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2730, symSize: 0x1B0 }
  - { offsetInCU: 0xB4B3, offset: 0xB4B3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x28E0, symSize: 0x80 }
  - { offsetInCU: 0xB57C, offset: 0xB57C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2960, symSize: 0x6A0 }
  - { offsetInCU: 0xC111, offset: 0xC111, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB230, symBinAddr: 0x4D20, symSize: 0xB0 }
  - { offsetInCU: 0xC188, offset: 0xC188, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3000, symSize: 0x70 }
  - { offsetInCU: 0xC244, offset: 0xC244, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3070, symSize: 0xA0 }
  - { offsetInCU: 0xC323, offset: 0xC323, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3110, symSize: 0x40 }
  - { offsetInCU: 0xC419, offset: 0xC419, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3150, symSize: 0x2B0 }
  - { offsetInCU: 0xC7BF, offset: 0xC7BF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3400, symSize: 0xC0 }
  - { offsetInCU: 0xC905, offset: 0xC905, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x34C0, symSize: 0x10 }
  - { offsetInCU: 0xC9C7, offset: 0xC9C7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x34D0, symSize: 0x220 }
  - { offsetInCU: 0xCCC4, offset: 0xCCC4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x36F0, symSize: 0x10 }
  - { offsetInCU: 0xCD21, offset: 0xCD21, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3700, symSize: 0x2A0 }
  - { offsetInCU: 0xCFF2, offset: 0xCFF2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EB0, symBinAddr: 0x39A0, symSize: 0x10 }
  - { offsetInCU: 0xD081, offset: 0xD081, size: 0x8, addend: 0x0, symName: _heapReferenceCallback, symObjAddr: 0x9EC0, symBinAddr: 0x39B0, symSize: 0x3D0 }
  - { offsetInCU: 0xD31A, offset: 0xD31A, size: 0x8, addend: 0x0, symName: _primitiveFieldCallback, symObjAddr: 0xA290, symBinAddr: 0x3D80, symSize: 0x40 }
  - { offsetInCU: 0xD3AC, offset: 0xD3AC, size: 0x8, addend: 0x0, symName: _arrayPrimitiveValueCallback, symObjAddr: 0xA2D0, symBinAddr: 0x3DC0, symSize: 0x30 }
  - { offsetInCU: 0xD43E, offset: 0xD43E, size: 0x8, addend: 0x0, symName: _stringPrimitiveValueCallback, symObjAddr: 0xA300, symBinAddr: 0x3DF0, symSize: 0x30 }
  - { offsetInCU: 0xD820, offset: 0xD820, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA330, symBinAddr: 0x3E20, symSize: 0xF00 }
  - { offsetInCU: 0xE8C9, offset: 0xE8C9, size: 0x8, addend: 0x0, symName: __ZL21getAndTagChainObjectsP9_jvmtiEnvP7JNIEnv_P8_jobjectP9_jfieldIDS6_iP16ObjectDescStructlb, symObjAddr: 0xB650, symBinAddr: 0x5140, symSize: 0x22D }
  - { offsetInCU: 0xEBAC, offset: 0xEBAC, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB2E0, symBinAddr: 0x4DD0, symSize: 0x370 }
...
